# NBTListCompound
Date: 2018-12-06

com.massivecraft.factions.zcore.nbtapi

## Class NBTListCompound

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTListCompound

    public class NBTListCompound
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `NBTListCompound(NBTList parent, java.lang.Object obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDouble(java.lang.String key)`
`int` `getInteger(java.lang.String value)`
`java.util.Set<java.lang.String>` `getKeys()`
`java.lang.String` `getString(java.lang.String key)`
`boolean` `hasKey(java.lang.String key)`
`void` `remove(java.lang.String key)`
`void` `setDouble(java.lang.String key, double value)`
`void` `setInteger(java.lang.String key, int value)`
`void` `setString(java.lang.String key, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NBTListCompound

    protected NBTListCompound(NBTList parent,
                              java.lang.Object obj)

### Method Detail

#### setString

    public void setString(java.lang.String key,
                          java.lang.String value)

#### setInteger

    public void setInteger(java.lang.String key,
                           int value)

#### getInteger

    public int getInteger(java.lang.String value)

#### setDouble

    public void setDouble(java.lang.String key,
                          double value)

#### getDouble

    public double getDouble(java.lang.String key)

#### getString

    public java.lang.String getString(java.lang.String key)

#### hasKey

    public boolean hasKey(java.lang.String key)

#### getKeys

    public java.util.Set<java.lang.String> getKeys()

#### remove

    public void remove(java.lang.String key)